﻿'''
@Time    : 2022.04.23
@Author  : wuruidong
@Email   : wuruidong@hotmail.com
@FileName: my_onnxruntime.py
@Software: python pytorch=1.6.0 onnxruntime=1.3.0
@Cnblogs : https://www.cnblogs.com/ruidongwu
'''
import onnxruntime
from torch.utils.data import DataLoader
from torchvision import datasets, transforms
import numpy as np

sess = onnxruntime.InferenceSession("working/quantized.onnx")

mnist = datasets.MNIST('../data', train=False)
mnist_label = mnist.targets.view(-1, 16).numpy()
print(mnist_label[0])

mnist_data = mnist.data.view(-1, 16, 1, 28, 28).float()
dataset_len = mnist_data.shape[0]

output = sess.run(['output'], {'input' : mnist_data[0].numpy()})

out = np.array(output)
out = np.squeeze(out)
print(out.shape)
print(np.argmax(out, 1))